package com.ejie.ad74a.model.comun;

public class Calle implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	// Clave compuesta
	private String codProvincia;
	private String codMunicipio;
	private String codLocalidad;
	private Long codCalle;
	private Long idCalle;
	private String descripcion;
	private String calleTxt;
	private String tipoVia;
	private String idTipoVia;

	/**
	 * 
	 */
	public Calle() {
	}

	/**
	 * 
	 * @param codCalle
	 */
	public Calle(Long codCalle) {
		this.codCalle = codCalle;
	}

	/**
	 * 
	 * @param codProvincia
	 * @param codMunicipio
	 * @param codCalle
	 * @param idCalle
	 * @param descripcion
	 * @param tipoVia
	 * @param idTipoVia
	 * @param calleTxt
	 */
	public Calle(String codProvincia, String codMunicipio, Long codCalle, Long idCalle, String descripcion,
			String tipoVia, String idTipoVia, String calleTxt) {
		this.codProvincia = codProvincia;
		this.codMunicipio = codMunicipio;
		// this.codCalle = codCalle;
		this.idCalle = idCalle;
		this.codCalle = idCalle;
		this.descripcion = descripcion;
		this.tipoVia = tipoVia;
		this.idTipoVia = idTipoVia;
		this.calleTxt = calleTxt;
	}

	public String getCodProvincia() {
		return codProvincia;
	}

	public void setCodProvincia(String codProvincia) {
		this.codProvincia = codProvincia;
	}

	public String getCodMunicipio() {
		return codMunicipio;
	}

	public void setCodMunicipio(String codMunicipio) {
		this.codMunicipio = codMunicipio;
	}

	public String getCodLocalidad() {
		return codLocalidad;
	}

	public void setCodLocalidad(String codLocalidad) {
		this.codLocalidad = codLocalidad;
	}

	public Long getCodCalle() {
		return codCalle;
	}

	public void setCodCalle(Long codCalle) {
		this.codCalle = codCalle;
	}

	public Long getIdCalle() {
		return idCalle;
	}

	public void setIdCalle(Long idCalle) {
		this.idCalle = idCalle;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public String getCalleTxt() {
		return calleTxt;
	}

	public void setCalleTxt(String calleTxt) {
		this.calleTxt = calleTxt;
	}

	public String getTipoVia() {
		return tipoVia;
	}

	public void setTipoVia(String tipoVia) {
		this.tipoVia = tipoVia;
	}

	public String getIdTipoVia() {
		return idTipoVia;
	}

	public void setIdTipoVia(String idTipoVia) {
		this.idTipoVia = idTipoVia;
	}

}
